package model

import "time"

type ReqLampPoleGroupSubmit struct {
	ID             int          `json:"id"`             //分组编码
	PoleGroupName  string       `json:"poleGroupName"`  //分组名
	CountLampPole  int          `json:"countLampPole"`  //灯杆数
	Remark         string       `json:"remark"`         //备注
	TenantId       string       `json:"tenantId"`       //租户ID
	CreateTime     time.Time    `json:"createTime"`     //新增时间
	CreateUser     string       `json:"createUser"`     //新增记录操作用户ID
	UpdateTime     time.Time    `json:"updateTime"`     //修改时间
	UpdateUser     string       `json:"updateUser"`     //修改用户
	IsDeleted      int          `json:"isDeleted"`      //是否删除 0=未删除,1=删除
	Tag            string       `json:"tag"`            //标签，(备用，逗号区分)
	PublicName     string       `json:"publicName"`     //标节目发布时使用
	LampPoleVOList []lampPoleVO `json:"lampPoleVOList"` //分组下的所有灯杆集合
	CameraList     []camera     `json:"cameraList"`     //智能安防中调用摄像头直播列表
	SwitchBoxList  []switchBox  `json:"switchBoxList"`  //智能安防中调用配电箱直播列表
	InfoBoardList  []infoBoard  `json:"infoBoardList"`  //节目组下查询分组下的信息屏集合
}

type lampPoleVO struct {
}

type camera struct {
}

type switchBox struct {
}

type infoBoard struct {
}

type RspLampPoleGroupList struct {
	Records []ReqLampPoleGroupSubmit `json:"records"` //记录列表
	Current int                      `json:"current"` //当前分页
	Size    int                      `json:"size"`    //每页数量
	Total   int                      `json:"total"`   //总数
}

type ReqLampPoleGroupRemove struct {
	IDs int `json:"ids"` //分组编码
}
